import { OnInit } from '@angular/core';
import { AbstractControl, FormBuilder, FormGroup } from '@angular/forms';
import { ModalController } from '@ionic/angular';
import { CurrentDeviceService, TaskManager, TaskManagerComponent, TaskManagerService } from '@iotize/ionic';
export declare class ChangePasswordComponent implements OnInit {
    protected currentDevice: CurrentDeviceService;
    modalController: ModalController;
    private formBuilder;
    private taskManager;
    changePasswordTaskComponent: TaskManagerComponent;
    confirmPassword: boolean;
    askCurrentPassword: boolean;
    header: boolean;
    userId: number | undefined;
    form: FormGroup;
    promise$?: Promise<void>;
    error?: Error;
    loading: boolean;
    changePasswordTask: TaskManager.TaskContainer;
    get tap(): import("@iotize/tap").Tap;
    get password(): AbstractControl;
    get currentPassword(): AbstractControl;
    constructor(currentDevice: CurrentDeviceService, modalController: ModalController, formBuilder: FormBuilder, taskManager: TaskManagerService);
    ngOnInit(): void;
    submit(): void;
    changePassword(): Promise<void>;
    dismiss(): void;
    showError(err: Error): void;
}
